X2Go Bug report logs - #984
can't share folder using pyhoca-cli

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: Muneeb Rahman <munib.bit07@gmail.com>

Date: Tue, 19 Jan 2016 20:35:01 UTC

Severity: normal

Tags: pending

Found in version 0.4.0.3

Fixed in version 0.5.99.1

Done: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#984; Package pyhoca-cli. (Tue, 19 Jan 2016 20:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Muneeb Rahman <munib.bit07@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 19 Jan 2016 20:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Muneeb Rahman <munib.bit07@gmail.com>
To: submit@bugs.x2go.org
Cc: m.gabriel@das-netzwerkteam.de
Subject: can't share folder using pyhoca-cli
Date: Tue, 19 Jan 2016 12:30:11 -0800
[Message part 1 (text/plain, inline)]
Package: pyhoca-cli
Version: 0.4.0.3

When trying to share folder with option -F. It's sharing the folder, but
not the content inside the folder i.e the shared folder is just emtpy at
the destination box.

Command I am using is :

pyhoca-cli -P <session-name> -N -F <Folder to be shared>.

The permission on folder is good , also sshd is enabled. Please correct me
if I am missing anything.

The client machine's OS - RHEL Workstation release 6.6 (Santiago)
X2goclient Version : 4.0.1.4
X2goserver Version : 4.0.1.19
x2goagent: 3.5.0.32
x2goserver: 4.0.1.19
x2goserver-extensions: 4.0.1.19

Thanks,
Muneeb
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#984; Package pyhoca-cli. (Tue, 18 Sep 2018 16:50:05 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 18 Sep 2018 16:50:06 GMT) (full text, mbox, link).


Message #10 received at 984@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 984-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 984@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as pending for release
Date: Tue, 18 Sep 2018 18:45:43 +0200 (CEST)
tag #984 pending
fixed #984 0.5.99.1
thanks

Hello,

X2Go issue #984 (src:pyhoca-cli) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=e8dacb1

The issue will most likely be fixed in src:pyhoca-cli (0.5.99.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e8dacb1ff7ef2435ee68e83b59d91bfb22a04395
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Sep 18 18:41:38 2018 +0200

    Fix --share-local-folders (aka -F) option and really mount shared folders. (Fixes: #984).

diff --git a/debian/changelog b/debian/changelog
index d0b46a4..1e88d5a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,8 @@ pyhoca-cli (0.5.99.1-0x2go2) UNRELEASED; urgency=medium
     - Add --forward-sshagent / -A cmdline option for enabling SSH agent
       forwarding.
     - Entirely rewrite PyHocaCLI.authenticate() function. (Fixes: #1308).
+    - Fix --share-local-folders (aka -F) option and really mount shared folders.
+      (Fixes: #984).
   * debian/rules:
     + Build for Python3, not Python2.
     + Switch to pybuild DH build system.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Sep 2018 16:50:08 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.99.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Sep 2018 16:50:08 GMT) (full text, mbox, link).


Message sent on to Muneeb Rahman <munib.bit07@gmail.com>:
Bug#984. (Tue, 18 Sep 2018 16:50:10 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#984; Package pyhoca-cli. (Wed, 19 Sep 2018 03:55:08 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 19 Sep 2018 03:55:08 GMT) (full text, mbox, link).


Message #22 received at 984@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 984-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 984@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as closed
Date: Wed, 19 Sep 2018 05:50:59 +0200 (CEST)
close #984
thanks

Hello,

we are very hopeful that X2Go issue #984 reported by you
has been resolved in the new release (0.6.0.0) of the
X2Go source project »src:pyhoca-cli«.

You can view the complete changelog entry of src:pyhoca-cli (0.6.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-cli.

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=1546795abc2ce7ff86851bdbc8658c8e38adcec9;hp=87b6c71c4966ca9abf7139e39c3d122143dded80

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-cli.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-cli
Version: 0.6.0.0-0x2go1
Status: RELEASE
Date: Tue, 18 Sep 2018 19:14:37 +0000
Fixes: 984 1287 1308
Changes:
 pyhoca-cli (0.6.0.0-0x2go1) RELEASED; urgency=medium
 .
   * New upstream version (0.5.99.1).
     - Port to Python3. (Fixes: #1287).
     - Add --force-password command line switch to override SSH key detection
       code.
     - Add --try-resume cmd line option and feature.
     - setup.py: Fix version string detection. (Copy+paste flaw...).
     - Fix duplicate password prompt. Regression fix.
     - keyboard handling: Switch to kbd-type auto and kbd-layout null. Should
       auto-detect the client-side keyboard in the X2Go session just fine.
     - pyhoca-cli main programme: Check for DISPLAY env var being set and having
       a usable / expectable value.
     - Add --forward-sshagent / -A cmdline option for enabling SSH agent
       forwarding.
     - Entirely rewrite PyHocaCLI.authenticate() function. (Fixes: #1308).
     - Fix --share-local-folders (aka -F) option and really mount shared folders.
       (Fixes: #984).
     - Make important options work like with OpenSSH's command-line client.
       E.g. pyhoca-cli -l <user> -i <key> -A <host>. This can still be improved
       but helps for now a big deal.
   * debian/rules:
     + Build for Python3, not Python2.
     + Switch to pybuild DH build system.
     + Enforce Python3 build, fix FTBFS.
     + Ignore failures during dh_auto_clean. Helps with build envs that don't have
       python3-setuptools installed when building source packages.
   * debian/control:
     + Fix src:pkg header part.
     + Switch to python3-* dependencies.
     + White-space fix.
     + Bump versioned D (pyhoca-cli): python-x2go (>= 0.5.99.0~).
     + Drop D (pyhoca-cli): python3-argparse. Part of stdlib in Python3
       these days.
   * debian/{control,compat}: Bump to DH version level 9.


Marked Bug as done Request was from Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 19 Sep 2018 03:55:11 GMT) (full text, mbox, link).


Notification sent to Muneeb Rahman <munib.bit07@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Sep 2018 03:55:11 GMT) (full text, mbox, link).


Message sent on to Muneeb Rahman <munib.bit07@gmail.com>:
Bug#984. (Wed, 19 Sep 2018 03:55:15 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 17 Oct 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Sep 16 02:15:41 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.